@ECHO OFF
REM
REM Setting Parameters
REM
SET BICSUITE_BATCH_PARAMETERS=%1
:NEXT_PARAMETER
SHIFT
IF [%1]==[] GOTO END_PARAMETERS
SET BICSUITE_BATCH_PARAMETERS=%BICSUITE_BATCH_PARAMETERS% %1
GOTO NEXT_PARAMETER
:END_PARAMETERS

CALL COMMON.BAT
IF [%ERRORLEVEL%]==[0] GOTO PAST_COMMON
SET BICSUITE_BATCH_EXITCODE=%ERRORLEVEL%
GOTO DOEXIT

:PAST_COMMON
SET BICSUITE_BATCH_EXITCODE=0
SET ERRORLEVEL=

PUSHD "%BICSUITEHOME%\bin"
"%BICSUITEJAVA_TL%" -cp "%BICSUITEJAR%;%BICSUITEHOME%\lib\swt.jar" de.independit.scheduler.demo.SDMSsubmitThreads %BICSUITE_BATCH_PARAMETERS%
SET BICSUITE_BATCH_EXITCODE=%ERRORLEVEL%
POPD

:DOEXIT
REM
REM Exit depending on windows version
REM
IF [%WIN_VERSION%]==[WIN_NT] EXIT /B %BICSUITE_BATCH_EXITCODE% >NUL
SET ERRORLEVEL=%BICSUITE_BATCH_EXITCODE%

